Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IMessage

    com.change_vision.jude.api.inf.model.IMessage

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  ITermination

    public IMessage

extends INamedElement

Interface for Messages.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IMessage` | `getActivator()` Get Message as activator.
`abstract String` | `getArgument()` Get Argument.
`abstract String` | `getGuard()` Get Guard Condition.
`abstract String` | `getIndex()` Get Index.
`abstract IOperation` | `getOperation()` Get Operation.
`abstract IMessage` | `getPredecessor()` Get Message as predecessor.
`abstract String` | `getReturnValue()` Get Return value.
`abstract String` | `getReturnValueVariable()` Get Return Value Variable.
`abstract INamedElement` | `getSource()` Get named element as Source.
`abstract IMessage` | `getSuccessor()` Get Message as successor.
`abstract INamedElement` | `getTarget()` Get named element as Target.
`abstract boolean` | `isAsynchronous()` Check if it is asynchronous.
`abstract boolean` | `isReturnMessage()` Check if it is a return message.
`abstract boolean` | `isSynchronous()` Check if it is synchronous.
`abstract void` | `setArgument(String argument)` Set Argument.
`abstract void` | `setAsynchronous(boolean isAsynchronous)` Set asynchronous to Message.
`abstract void` | `setGuard(String guard)` Set Guard Condition.
`abstract void` | `setOperation(IOperation operation)` Set Operation.
`abstract void` | `setReturnValue(String returnValue)` Set Return value.
`abstract void` | `setReturnValueVariable(String returnValueVariable)` Set Return Value Variable.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSource

    abstract INamedElement getSource()

  Get named element as Source.

  Returns:
    named element.

### getTarget

    abstract INamedElement getTarget()

  Get named element as Target.

  Returns:
    named element.

### isSynchronous

    abstract boolean isSynchronous()

  Check if it is synchronous.

  Returns:
    true it is synchronous / false it is asynchronous

### isAsynchronous

    abstract boolean isAsynchronous()

  Check if it is asynchronous.

  Returns:
    true it is asynchronous / false it is synchronous

### isReturnMessage

    abstract boolean isReturnMessage()

  Check if it is a return message.

  Returns:
    true it is a return message / false it is not a return message

### getOperation

    abstract IOperation getOperation()

  Get Operation.

  Returns:
    Operation.

### getArgument

    abstract String getArgument()

  Get Argument.

  Returns:
    Argument.

### getReturnValue

    abstract String getReturnValue()

  Get Return value.

  Returns:
    Return value.

### getGuard

    abstract String getGuard()

  Get Guard Condition.

  Returns:
    Guard Condition.

### getIndex

    abstract String getIndex()

  Get Index.

  Returns:
    Index.

### getActivator

    abstract IMessage getActivator()

  Get Message as activator.

  Returns:
    Message.

### getPredecessor

    abstract IMessage getPredecessor()

  Get Message as predecessor.

  Returns:
    Message.

### getSuccessor

    abstract IMessage getSuccessor()

  Get Message as successor.

  Returns:
    Message.

### getReturnValueVariable

    abstract String getReturnValueVariable()

  Get Return Value Variable.

  Returns:
    Return Value Variable.

### setAsynchronous

    abstract void setAsynchronous(boolean isAsynchronous)

  Set asynchronous to Message.

  Parameters:
    `isAsynchronous` - if true, it is asynchronous, otherwise, it is synchronous
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### setOperation

    abstract void setOperation(IOperation operation)

  Set Operation.

  Parameters:
    `operation` - Operation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### setArgument

    abstract void setArgument(String argument)

  Set Argument.

  Parameters:
    `argument` - Argment
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### setReturnValue

    abstract void setReturnValue(String returnValue)

  Set Return value.

  Parameters:
    `returnValue` - Return Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### setReturnValueVariable

    abstract void setReturnValueVariable(String returnValueVariable)

  Set Return Value Variable.

  Parameters:
    `returnValueVariable` - Return Value Variable
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### setGuard

    abstract void setGuard(String guard)

  Set Guard Condition.

  Parameters:
    `guard` - Guard
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD